> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/avs-settings.md).

# AVS Settings

## Get AVS terminal settings

> Retrieve the Address Verification Service (AVS) settings configured for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/avs":{"get":{"tags":["AVS Settings"],"summary":"Get AVS terminal settings","description":"Retrieve the Address Verification Service (AVS) settings configured for a terminal.","operationId":"getSettings_7","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvsSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AvsSettingsPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"AvsSettingsPayload":{"type":"object","properties":{"avs-settings":{"$ref":"#/components/schemas/avs-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"avs-settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether AVS (Address Verification Service) settings are enabled (true) or disabled (false).","enum":[true,false]},"response-filters":{"$ref":"#/components/schemas/response-filters"}},"description":"AVS Settings details.","xml":{"name":"avs-settings"}},"response-filters":{"type":"object","properties":{"response-filter":{"type":"array","description":"List of response filter rules. Each Object defines behavior for a specific response code.","items":{"$ref":"#/components/schemas/ResponseFilterDto"}}},"description":"Container for AVS response filter configurations.","xml":{"name":"response-filters"}},"ResponseFilterDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the filter type.","enum":["AVS","CSC"]},"allowed":{"type":"boolean","description":"Specifies whether transactions with this response code are allowed."},"description":{"type":"string","description":"Description of the response code."},"response-code":{"type":"string","description":"Response code to match. For example, \"N\" for no match."}},"description":"List of response filter rules. Each Object defines behavior for a specific response code."},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Update AVS terminal settings

> Update the Address Verification Service (AVS) settings for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/avs":{"put":{"tags":["AVS Settings"],"summary":"Update AVS terminal settings","description":"Update the Address Verification Service (AVS) settings for a terminal.","operationId":"putSettings_1","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay. ","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/avs-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvsSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AvsSettingsPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"avs-settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether AVS (Address Verification Service) settings are enabled (true) or disabled (false).","enum":[true,false]},"response-filters":{"$ref":"#/components/schemas/response-filters"}},"description":"AVS Settings details.","xml":{"name":"avs-settings"}},"response-filters":{"type":"object","properties":{"response-filter":{"type":"array","description":"List of response filter rules. Each Object defines behavior for a specific response code.","items":{"$ref":"#/components/schemas/ResponseFilterDto"}}},"description":"Container for AVS response filter configurations.","xml":{"name":"response-filters"}},"ResponseFilterDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the filter type.","enum":["AVS","CSC"]},"allowed":{"type":"boolean","description":"Specifies whether transactions with this response code are allowed."},"description":{"type":"string","description":"Description of the response code."},"response-code":{"type":"string","description":"Response code to match. For example, \"N\" for no match."}},"description":"List of response filter rules. Each Object defines behavior for a specific response code."},"AvsSettingsPayload":{"type":"object","properties":{"avs-settings":{"$ref":"#/components/schemas/avs-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/avs-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
